#
# color1.rb
#
# $Id: color1.rb,v 1.1 2000/11/21 03:15:37 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


NP = 4
NT = 10
DD = 0.07
DS = 0.003
DX = DD+DS*2
DY = 1.0/NT

#-- data ---
xbox = NumArray[0.0, 1.0, 1.0, 0.0]
ybox = NumArray[0.0, 0.0, 1.0, 1.0]

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gliset('MAXMSG', 300)

sgopn(-(iws).abs)

sglset('LFULL', true)
slrat(0.85, 1.0)
slmgn(0.0, 0.0, 0.05, 0.1)
slsttl('TEST OF COLORMAP', 'T', 0.0, -0.5, 0.025, 1)

sgfrm
sgswnd(0.0, 1.0, 0.0, 1.0)
sgstrn(1)

sgstxs(0.01)
sgstxc(1)
for j in 0..9
  for i in 0..9
    x1 = DX*i     + DS + (1-DX*NT)/2
    y1 = DY*(9-j) + DS
    x2 = x1 + DD
    y2 = y1 + DD
    itpat = (i+j*10)*1000 + 999

    sgsvpt(x1, x2, y1, y2)
    sgstrf

    slpvpr(1)
    sgstnp(itpat)
    sgtnu(NP, xbox, ybox)
    chr = format("%5d", itpat)
    sgtxv(x2, y2+(DY-DD)/2, chr)
  end
end

sgcls

